# Header FilterProxy Module

# FIXME need better way of specifying what a filter can filter than mime-types

# Filters headers.

package FilterProxy::Header;

use strict;
use vars qw($VERSION $CONFIG);

push @FilterProxy::MODULES, "Header"; # add myself to FilterProxy's list of modules.
$VERSION = 0.01;
$CONFIG = {};
$CONFIG->{order} = [-2, 10]; 
  # -2: after client request is received, before request sent off to server
  # 10: after all filtering is finished, before response sent to client.

$CONFIG->{mime_types} = [ ]; # We don't modify any mime types.

*debug = \&FilterProxy::debug;

sub filter {
  my($req, $res, $siteconfig) = @_;
  if(!defined $res) { # order is -2...before request sent to server
    debug("Incoming Header received: ", $req->headers_as_string);
  } else { # order is 10, after filtering is done.
    debug("Outgoing Header received: ", $res->headers_as_string);
  }
}

sub Config {
  my($req, $cgi, $siteconfig) = @_;

}
